Stream the audio of the dropped voicemail clip for a call
curl --request GET \
--url https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key",
"status": 401
}
}{
"error": {
"code": "PLAN_NOT_ELIGIBLE",
"message": "API access requires INTERMÉDIAIRE or EXPERT plan",
"status": 403
}
}Calls
Stream the audio of the dropped voicemail clip for a call
Streams the audio of the voicemail clip dropped on the answering machine for this call. Returns 404 if the call has no dropped clip (none dropped, or the clip was later deleted), if the call does not exist, or if it is in a workspace outside the API key scope.
GET
/
v1
/
calls
/
{id}
/
voicemail-drop
/
audio
Stream the audio of the dropped voicemail clip for a call
curl --request GET \
--url https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-public.skipcall.app/v1/calls/{id}/voicemail-drop/audio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key",
"status": 401
}
}{
"error": {
"code": "PLAN_NOT_ELIGIBLE",
"message": "API access requires INTERMÉDIAIRE or EXPERT plan",
"status": 403
}
}Authorizations
Enter your API Key (sk_live_xxx or sk_test_xxx)
Path Parameters
Call UUID
Query Parameters
Audio format to stream (default: mp3)
Available options:
mp3, wav Response
Audio stream returned successfully
The response is of type file.